void Complement(char *ifile1, char *ifile2, int twofiles, FILE *f10)
{
        FILE *f1, *f3;
        FSM fsm1, fsm3;

        /* To complement a state machine */
        
        if(!twofiles)
        {
                ifile1 = "../data/comp.data";
                ifile2 = "../data/comp.results";
        }
        f1 = fopen(ifile1, "r");
        f3 = fopen(ifile2, "w");

        fsm_read(f1, &fsm1);
        fsm_complement(&fsm1);
        fsm_print(f3, &fsm1);
                                                
        fclose(f1);
        fclose(f3);
        fsm_delete(&fsm1);

        fprintf(f10, "Uncomplemented fsm as input file: \n\t %s \n", ifile1);
        fprintf(f10, "Complemented fsm as output file:\n\t %s \n\n\n", ifile2);

        /*end e*/
}
